{% extends "ajax/ajax.html.twig" %}
{% block menu_bar %}
    <div class="header-stats">
        <ul>
            <li><span class='count'>{{deadCitizenCount|number_format(0, ',', ' ')}}</span> {{'Bürger gestorben'|trans({}, 'welcome')}}</li>
            <li><span class='count'>{{zombiesKilled|number_format(0, ',', ' ')}}</span> {{'Zombies gekillt'|trans({}, 'welcome')}}</li>
            <li><span class='count'>{{canibalismCount|number_format(0, ',', ' ')}}</span> {{'Akte von Kannibalismus'|trans({}, 'welcome')}}</li>
            <li class="end-stat">{{'Und das wird kaum besser werden...'|trans({}, 'welcome')}}</li>
        </ul>
    </div>
{% endblock %}
{% block ajax %}
    <div class="row">
        <div class="cell padded header rw-8 ro-2 rw-lg-12 ro-lg-0">
            <h4>{% trans from 'login' %}Registrieren{% endtrans %}</h4>
            <form id="register-form">
                <div class="row">
                    <div class="cell padded-small rw-6 rw-md-12"><b><label for="register-user">{% trans from 'login' %}Spielername{% endtrans %}</label></b></div>
                    <div class="cell padded-small rw-6 rw-md-12"><input name="user" id="register-user" type="text" /></div>
                </div>

                <br /><br />

                <div class="row">
                    <div class="cell padded-small rw-6 rw-md-12"><b><label for="register-email">{% trans from 'login' %}E-Mail Adresse{% endtrans %}</label></b></div>
                    <div class="cell padded-small rw-6 rw-md-12"><input name="mail1" id="register-email" type="email" /></div>
                </div>
                <div class="row">
                    <div class="cell padded-small rw-6 rw-md-12"><b><label for="register-email-2">{% trans from 'login' %}E-Mail Adresse{% endtrans %} ({% trans from 'login' %}wiederholen{% endtrans %})</label></b></div>
                    <div class="cell padded-small rw-6 rw-md-12"><input name="mail2" id="register-email-2" type="email" /></div>
                </div>
                <div class="row hidden" id="mail-warning-row">
                    <div class="cell padded-small rw-12">
                        <div class="note note-warning">{{ 'Dein E-Mail Anbieter stellt Nachrichten von MyHordes nicht oder nur sehr unzuverlässig zu. Wir empfehlen, wenn möglich eine andere E-Mail Adresse für die Registrierung zu verwenden. Bitte entschuldige die Unannehmlichkeiten.'|trans({},'login') }}</div>
                    </div>
                </div>

                <br /><br />

                <div class="row">
                    <div class="cell padded-small rw-6 rw-md-12"><b><label for="register-password">{% trans from 'login' %}Passwort{% endtrans %}</label></b></div>
                    <div class="cell padded-small rw-6 rw-md-12"><input name="pass1"  id="register-password" type="password" /></div>
                </div>
                <div class="row">
                    <div class="cell padded-small rw-6 rw-md-12"><b><label for="register-password-2">{% trans from 'login' %}Passwort{% endtrans %} ({% trans from 'login' %}wiederholen{% endtrans %})</label></b></div>
                    <div class="cell padded-small rw-6 rw-md-12"><input name="pass2"  id="register-password-2" type="password" /></div>
                </div>

                <br /><br />

                <div class="row">
                    <div class="cell padded-small rw-6 rw-md-12"><b><label for="register-refer">{% trans from 'login' %}Pate{% endtrans %}</label></b></div>
                    <div class="cell padded-small rw-6 rw-md-12"><input name="refer"  id="register-refer" type="text" value="{{ refer }}" /></div>
                    <div class="cell padded-small rw-12"><span class="small">{{ 'Wenn du von einem anderen Spieler für MyHordes geworben wurdest, gib hier seinen Namen ein. Er oder sie wird dir sehr dankbar sein...'|trans({}, 'login') }}</span></div>
                </div>

                <p class="justify">
                    {% trans from 'login' %}
                        Um die Registrierung abzuschließen und deinen Account zu aktivieren, musst du auf einen
                        Aktivierungslink klicken, der dir an die angegebene E-Mail Adresse geschickt wird.
                    {% endtrans %}
                </p>

                <!-- <p class="justify"><b><label for="register-privacy"><input name="privacy"  id="register-privacy" type="checkbox" /> {% trans from 'login' %}Ich habe die Datenschutzerklärung gelesen und akzeptiere sie.{% endtrans %}</label></b></p> -->

                <div class="row">
                    <div class="cell padded-small rw-6 ro-6 rw-md-12 ro-md-0">
                        <button id="register_button">{% trans from 'login' %}Registrieren{% endtrans %}</button>
                    </div>
                </div>
            </form>
            <p class="right small">
                {% trans from 'login' %}Du hast schon einen Account?{% endtrans %}
                <a href="" x-ajax-href="{{ path('public_login') }}">{% trans from 'login' %}Einloggen!{% endtrans %}</a>
            </p>
        </div>
    </div>
    {% include "ajax/public/fact.html.twig" with {fact: fact} %}
{% endblock %}

{% block js %}
    <script>
        let inputs = document.querySelectorAll('#register-form input');
        for (let i = 0; i < inputs.length; ++i)
            inputs[i].addEventListener('input', function() {
                this.classList.remove('invalid');
            });

        document.getElementById('register-email').addEventListener('change', () => {
            const value = /^.*?@.*?(\w+)\.\w+$/gm.exec(document.getElementById('register-email').value);
            const warning = (value && value.length === 2 && ['hotmail','outlook','live','msn','windowslive'].includes( value[1] ));
            if (warning) document.getElementById('mail-warning-row').classList.remove('hidden');
            else document.getElementById('mail-warning-row').classList.add('hidden');
        });

        document.getElementById('register_button').addEventListener('click', function(e) {
            e.preventDefault();
            $.ajax.easySend( '{{ path('api_register') }}', $.html.serializeForm(document.getElementById('register-form')),
                function () {
                    $.ajax.load( null, '{{ path('initial_landing') }}', true );
                }, {
                    'invalid_fields': function(data) {
                        let message = "{{ 'Einige Felder sind nicht korrekt ausgefüllt. Bitte prüfe eine Eingaben.'|trans({},'login')|e('js') }}\n";
                        for (let i = 0; i < data.fields.length; ++i)
                            message += "\n" + data.fields[i];
                        return message;
                    }
                } );
        });
    </script>
{% endblock %}